# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::StencilOp Class Reference

Wraps the OpenGL function glStencilOp() and glStencilOpSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilOp.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilOpSeparate.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::StencilOp:

List of all members.

## Public Member Functions
| StencilOp (EStencilOp sfail=SO_KEEP, EStencilOp dpfail=SO_KEEP, EStencilOp dppass=SO_KEEP)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (EPolygonFace face, EStencilOp sfail, EStencilOp dpfail, EStencilOp dppass)
EStencilOp | sFail_Front () const
EStencilOp | dpFail_Front () const
EStencilOp | dpPass_Front () const
EStencilOp | sFail_Back () const
EStencilOp | dpFail_Back () const
EStencilOp | dpPass_Back () const
## Protected Attributes
EStencilOp | mSFail_Front
EStencilOp | mSFail_Back
EStencilOp | mDpFail_Front
EStencilOp | mDpFail_Back
EStencilOp | mDpPass_Front
EStencilOp | mDpPass_Back

## Detailed Description

Wraps the OpenGL function glStencilOp() and glStencilOpSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilOp.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilOpSeparate.xml for more information.

See also:
  Shader, Effect, Actor, StencilMask, StencilFunc, vl::EN_STENCIL_TEST

## Constructor & Destructor Documentation

vl::StencilOp::StencilOp | ( | EStencilOp | sfail = `SO_KEEP`,
|  | EStencilOp | dpfail = `SO_KEEP`,
|  | EStencilOp | dppass = `SO_KEEP` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::StencilOp::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::StencilOp::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void StencilOp::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::StencilOp::set | ( | EPolygonFace | face,
|  | EStencilOp | sfail,
|  | EStencilOp | dpfail,
|  | EStencilOp | dppass |
| ) |  |  | `[inline]`

EStencilOp vl::StencilOp::sFail_Front | ( |  | ) | const`[inline]`

EStencilOp vl::StencilOp::dpFail_Front | ( |  | ) | const`[inline]`

EStencilOp vl::StencilOp::dpPass_Front | ( |  | ) | const`[inline]`

EStencilOp vl::StencilOp::sFail_Back | ( |  | ) | const`[inline]`

EStencilOp vl::StencilOp::dpFail_Back | ( |  | ) | const`[inline]`

EStencilOp vl::StencilOp::dpPass_Back | ( |  | ) | const`[inline]`

## Member Data Documentation

EStencilOp vl::StencilOp::mSFail_Front`[protected]`

EStencilOp vl::StencilOp::mSFail_Back`[protected]`

EStencilOp vl::StencilOp::mDpFail_Front`[protected]`

EStencilOp vl::StencilOp::mDpFail_Back`[protected]`

EStencilOp vl::StencilOp::mDpPass_Front`[protected]`

EStencilOp vl::StencilOp::mDpPass_Back`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.